# norootforbuild

%bcond_with gstreamer

Name:           me-tv
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  libgnomeuimm-devel
BuildRequires:  glibmm2-devel
BuildRequires:  gconfmm-devel
BuildRequires:  gnet-devel
BuildRequires:  sqlite-devel
BuildRequires:  libxine-devel
%if %{with gstreamer}
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
BuildRequires:  unique-devel
License:        GPL v3 or later
Group:          Hardware/TV
Version:        1.3.4
Release:        2.3
Summary:        Me TV DVB application
Url:            https://launchpad.net/me-tv
Source:  http://launchpad.net/me-tv/1.3/%{version}/+download/me-tv-%{version}.tar.gz
Source1: http://launchpad.net/me-tv/1.3/%{version}/+download/me-tv-%{version}.tar.gz.asc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang
Recommends:     libxine1-codecs
# needed for transponder files
Requires:       dvb
%gconf_schemas_prereq

%description
Me TV is a digital television (DVB) viewer for GNOME/GTK
Me TV was developed for the modern digital lounge room with
a PC for a media centre that is capable of normal PC tasks
(web surfing, word processing and watching TV). It is not
designed to be a full-blown media centre, such as MythTV,
but will integrate well with an existing GNOME desktop.

%lang_package

%prep
%setup -q
#patch0 -p1

%build
%configure \
%if %{with gstreamer}
	--enable-libgstreamer-engine \
%endif
	--enable-xine-lib-engine
make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file %name AudioVideo Video
%find_lang %{name}
%find_gconf_schemas
%{__rm} -vf %{buildroot}%{_libdir}/*.la
%fdupes -s $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/me-tv
%{_datadir}/pixmaps/*
%{_mandir}/*/*

%files lang -f %{name}.lang

%changelog
* Mon Nov 15 2010 lnussel@suse.de
- new version 1.3.4
  * Using time_t instead of guint
  * Refactored action after for SRs to a better location
  * Better information about auto record conflicts
  * Error messages now appear in status bar
  * Added tooltips to control buttons
  * Preferred language feature removed
  * Fix for 1 min recordings on DVB-S cards
  * Moved screensaver inhibit to player
  * Changed channels.conf parser to accept VSB_8
  * Fixed recording filename on instant record
  * Fixed mute when changing channels
  * Moved PAT/PMT write timer to channel stream class
  * Added time to status bar in fullscreen
  * Added next/previous day buttons to EPG
* Tue Jul 27 2010 lnussel@suse.de
- new version 1.3.1
  * Fixed issue with hyphens in man page
  * Made window hide more responsive
  * Treating a single hyphen in the EPG subtitle as blank
  * Added Watch Now button to EPG event dialog
  * Status icon now shows SR description rather than channel description for SRs
  * Added CZ scan range (patch from Luboš Staněk)
  * Fixed issues with non-translatable strings in UI file (patch from Luboš Staněk)
  * EPG thread now stays running when no streams are in running
  * Better message when unable to talk to gnome-screensaver
  * Scheduled recording manager should now only save if dirty
  * Preferred language is now an entry
* Sun Jul  4 2010 lnussel@suse.de
- new version 1.3.0
  * UI change to reduce vertical requirement
  * Removed fullscreen bug workaround
  * Switched to a 2 mode interface
  * Added volume control
  * Fix for auto subtitle/audio stream selection
  * Added --devices command line option
  * Added auto record feature
  * Channels/EPG events no longer save if not dirty
  * Display stream is stopped when main window is closed
  * Fix to only select first preferred language stream
  * Added description to EPG tooltips
  * Clearing demuxers on channel stream destroy
  * Added signal strength column to scan dialog
  * Added rename option to channel conflict actions
  * Added repeat option for channel conflict
  * Added command line option for no screensaver inhibit
  * Put command line parse in try/catch so command line errors get reported
  * Auto audio/subtitle selection does not delay any more
  * Selected better default for epg_page_size
  * Fixed EPG event dialog not updating due to unencoded XML
  * Fixed crash bug on right-click channel record
  * Added LT scan range
  * Volume icon is now context sensitive
  * Now stopping/starting frontend thread when modifying streams
  * FrontendThread now polls for data
* Mon May 17 2010 lnussel@suse.de
- new version 1.2.4
  * Autoscan
  * EPG Search
  * Unique application
  * Multi-device support (that actually works)
  * Recurring scheduled recordings
  * After record actions
  * Fixes lock up when scanning
  * Fixes autoscan range for Italy
  * Switched to a DBus screensaver inhibitor
  * Removed icons from menu
  * Right-click on EPG events toggles record
  * Right-click on rows in the EPG event search dialag toggles record
  * Shutdown after record implemented
* Fri Jan 22 2010 lnussel@suse.de
- new version 1.1.6
  * Application class not inheriting from Gtk::Main (LP: #509029)
  * Fixed Exception: Read timeout at me-tv startup (Clear QAM) (LP: #509040)
  * Fix for uninitialised version_number in ATSC EIS parser (LP: #509515)
  * Fix for inefficient polling of EPG data (LP: #509091)
  * Default demuxer timeout set to 5 seconds
  * Using XK_Control rather than XK_Shift (LP: #506855)
  * Ignoring events older than 10 hours (LP: #510005)
  * More tweaks to the EPG event UI
  * Added check for EPG events before starting EPG thread
  * Fixed information on meters dialog
  * Changed demux filter to only except exact table types by default
* Thu Jan 21 2010 lnussel@suse.de
- new version 1.1.4:
  * Heap corruption during channel scanning (LP: #505454)
  * EPG Detail "description" shows only the subtitle (LP: #503051)
  * Not removing display stream when stopping recordings (LP: #506078)
  * Added sl translation
  * Use GLib/Gio instead GNet (LP: #503214)
  * Removed deprecated libgnome/ui dependency (LP: #503219)
  * Applied patch from Ludwig Nussel to fix compile error on glibmm 2.16.1
  * Added PES type 0x80 to be a recognised video stream
  * Fix for FTBFS on Debian GNU/Linux 5.0 (LP: #503910)
  * Removed GTK+ 2.16 requirement from UI file
  * EPG now honours the version number field and updates EPG events
* Mon Jan  4 2010 lnussel@suse.de
- new version 1.1.2
  * EPG now reads CVCT to get source_id (LP: #502306)
  * Added missing bit for PID calculation (LP: #502660)
* Sat Jan  2 2010 lnussel@suse.de
- new version 1.1.1
  * Tell demuxer to only get PMTs (LP: #501986)
  * Fixed faulty clean rule for new schemas file: (LP: #493132)
  * Better ATSC support
  * Added audio stream type 0x11 to PMS parser
  * Implemented make_directory_with_parents to remove dependency on GLib 2.18
  * Split out MPEG tables from DVB SI tables
  * Added recording icon to channel buttons
  * Added recording icon to EPG buttons
  * Right-click instant record on channel buttons
  * Right-click goes to scheduled recording on EPG buttons
  * Can now schedule/record/watch multiple channels on the same transponder
  * Removed broadcast feature
  * Fixed Program Clock Reference (PCR) in PMT to get VLC support
* Tue Dec 15 2009 lnussel@suse.de
- Backport from bzr, don't use
  Gio::File::make_directory_with_parents which is not available on
  older distros
* Mon Dec 14 2009 lnussel@suse.de
- new version 1.0.2
  * Added option to remove colon from recording filenames (LP: #491602)
  * Fixed type mismatch on show_epg_tooltips
  changes in 1.0.1:
  * Updated include order in channels.h to allow compile in recent kernel
  * Ignoring scheduled recording check for same scheduled recording
    (LP: #437142)
  * Added iIGNORE_SQLITE3_THREADSAFE_CHECK to disable
    sqlite3_threadsafe check for Hardy compile (LP: #433996)
  * Added support for EPG in Hong Kong from Raymond Tau (LP: #477388)
  * Set timeout for EPG events to 1 second (LP: #434994)
  * Moved DB to .local/share/me-tv (LP: #486247)
  * Added schema file for GConf (LP: #460612)
  * Default channel on startup and device change is now device
    specific (LP: #486838)
* Thu Nov  5 2009 lnussel@suse.de
- new version 1.0.0
  * gstreamer no longer supported
* Sun May 17 2009 lnussel@suse.de
- new version 0.8.12
- enable gstreamer backend
* Fri Apr 17 2009 lnussel@suse.de
- new version 0.8.5
* Sat Feb 28 2009 lnussel@suse.de
- initial package version 0.7.16
